<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" version="1.00">
  <!--=========================================-->
  <!--===== NCTS Simple Types -->
  <!--===== DDNTA V10.40  -->
  <!--===== Included Features: [12, 17, 20, 21, 23, 24, 27, 29]  -->
  <!--=========================================-->
  <!--===== Includes =====-->
  <xs:include schemaLocation="simple_types.xsd" />
  <xs:include schemaLocation="doc.xsd" />
  <!--===== Data Item Types =====-->
  <xs:simpleType name="Alpha_Max3">
    <xs:restriction base="AlphaType">
      <xs:maxLength value="3" />
      <xs:pattern value="[a-zA-Z]{1,3}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_18">
    <xs:restriction base="AlphaNumType">
      <xs:length value="18" />
      <xs:pattern value=".{18}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max240">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="240" />
      <xs:pattern value=".{1,240}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max26">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="26" />
      <xs:pattern value=".{1,26}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_12_3">
    <xs:restriction base="DecType">
      <xs:totalDigits value="12" />
      <xs:fractionDigits value="3" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_14">
    <xs:restriction base="NumType">
      <xs:length value="14" />
      <xs:pattern value="[0-9]{14}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_18">
    <xs:restriction base="NumType">
      <xs:length value="18" />
      <xs:pattern value="[0-9]{18}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max10">
    <xs:restriction base="NumType">
      <xs:maxLength value="10" />
      <xs:pattern value="[0-9]{1,10}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max8">
    <xs:restriction base="NumType">
      <xs:maxLength value="8" />
      <xs:pattern value="[0-9]{1,8}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max9">
    <xs:restriction base="NumType">
      <xs:maxLength value="9" />
      <xs:pattern value="[0-9]{1,9}" />
    </xs:restriction>
  </xs:simpleType>
</xs:schema>

